Subject: Alberta anyone? Harvesting Wild Mushrooms...

From: [email-masked] (Ken Sanderson)
Date: 28 Apr 1996 19:13:52 GMT

HI, is anyone out there from Alberta?  I am trying to find out how one 
goes about selling wild mushrooms in Alberta?  I have read about how it 
is done in BC and in Sask, but since AB is not huge mushroom producer I 
am not sure how it is done.  Also do you need a permit to collect on 
crown land?

Ken Sanderson